Loading...
Searching...
No Matches
caf::policy::categorized Class Reference

Configures a cached WDRR fixed multiplexed queue for dispatching to four nested queue (one for each message category type). More...

`#include <categorized.hpp>`

## Public Types

using | mapped_type = mailbox_element
using | task_size_type = size_t
using | deficit_type = size_t
using | unique_pointer = mailbox_element_ptr

## Public Member Functions

| categorized (const categorized &)=default
categorized & | operator= (const categorized &)=default
constexpr | categorized (unit_t)

## Static Public Member Functions

template<template< class > class Queue>
static deficit_type | quantum (const Queue< urgent_messages > &, deficit_type x) noexcept
template<class Queue>
static deficit_type | quantum (const Queue &, deficit_type x) noexcept
static size_t | id_of (const mailbox_element &x) noexcept

## Detailed Description

Configures a cached WDRR fixed multiplexed queue for dispatching to four nested queue (one for each message category type).

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/policy/categorized.hpp